Mailinglist Archive: opensuse-buildservice (96 mails)

< Previous Next >
[opensuse-buildservice] OBS changes requirements in spec-files for openSUSE 13.1 & 13.2: glu-devel -> Mesa-devel
  • From: Carsten Ziepke <kieltux@xxxxxxxxx>
  • Date: Wed, 5 Oct 2016 18:53:37 +0200
  • Message-id: <20161005185337.55278f0a@homer.springfield>
Hello,

i wanted to update and fix some games in the games repository but run
into a problem.

Example:
https://build.opensuse.org/package/show/home:Kieltux:branches:games/armagetron
ArmagetronAD needs as a BuildRequires glu-devel.

In openSUSE 13.1 and openSUSE 13.2 building the package fails, because
OBS changes the spec-files:
https://build.opensuse.org/build/home:Kieltux:branches:games/openSUSE_13.2/i586/armagetron/_log

[ 56s] I have the following modifications for armagetron.spec:
[ 56s] 38c38
[ 56s] < BuildRequires: glu-devel
[ 56s] ---
[ 56s] > BuildRequires: Mesa-devel

Building fails with:
[ 69s] checking for gluBuild3DMipmaps in -lGLU... no
[ 69s] configure: error:
[ 69s] You need GLU to compile Armagetron; it SHOULD have come with
OpenGL

Of course, because Mesa-devel package does not contain GL/glu.h.
If found several affected packages.

OBS does not change the spec-files for openSUSE > 13.2 e.g.:
https://build.opensuse.org/build/home:Kieltux:branches:games/openSUSE_Leap_42.1/i586/armagetron/_log

It this problem known? Can I do something?

Greetings & thank you very much,
Carsten Ziepke
< Previous Next >
Follow Ups